Forum Discussion
ExportTo API: Locale setting not used
- 4 years ago
We suspect that there's an issue with locale in "Export to File" REST API when your report resides on a Gen1 capacity.
We recommend upgrading the capacity to Gen2 where this feature works as expected.
It's still not working. I've removed everything non essential to simplify things:
var effectiveIdentities = GetEffectiveIdentities(groupId, report.DatasetId);
var powerBiReportExportConfiguration = new PowerBIReportExportConfiguration
{
Settings = new ExportReportSettings
{
Locale = "nl-nl",
IncludeHiddenPages = false
},
Identities = effectiveIdentities,
};
return pbiClient.Reports.ExportToFileInGroup(groupId,
reportId,
new ExportReportRequest(fileFormat, powerBiReportExportConfiguration));
I don't see a reason it won't work for you, but it might help to see the request body as it was sent in the network (for example using fiddler traces).
Also if you can please share the request ID as returned from Power BI it might help us find the reason.
- emourits4 years agoNew Member
The ID of the Export is: MS9CbG9iSWRWMi1lODA3ZjEzZC1lZmEwLTQ3MzktYmJhYS05Mjg3MzE4MTFkOWNPU28zVEx4THB1RGF5eVd6NWFkM1JqSzJMWUtNVTVZY21WY3M0MFZUaWFjPS4=
I'll try and get the Fiddler trace working and respond with that later.
- AmosHersch4 years agoMicrosoft Employee
We suspect that there's an issue with locale in "Export to File" REST API when your report resides on a Gen1 capacity.
We recommend upgrading the capacity to Gen2 where this feature works as expected.
- erikmourits4 years agoNew Member
Yes, upgrading to Gen2 fixed our locale problem. Thank you for your help.
- emourits4 years agoNew Member
The fiddler trace:
POST https://api.powerbi.com/v1.0/myorg/groups/9652bddc-b890-4256-a219-900fec61378c/reports/116623fd-2e69-4af1-9f9a-30b17b36feec/ExportTo HTTP/1.1 Host: api.powerbi.com Authorization: Bearer xxxxxx User-Agent: FxVersion/6.0.121.56705 OSName/Windows OSVersion/Microsoft.Windows.10.0.19044 Microsoft.PowerBI.Api.PowerBIClient/4.1.01803.0001 Request-Context: appId=cid-v1:aa7a3e4e-095d-4072-8760-2b750dbd937a Request-Id: |d6785cbd6c5d4a4e026eb4d584d56e8c.1772c6e038dc6cee. traceparent: 00-d6785cbd6c5d4a4e026eb4d584d56e8c-1772c6e038dc6cee-00 Content-Type: application/json; charset=utf-8 Content-Length: 382 { "format": "PDF", "powerBIReportConfiguration": { "settings": { "locale": "nl-nl", "includeHiddenPages": false }, "identities": [ { "username": "xxxx", "datasets": [ "6b6c16c4-cef3-410c-b4e4-1d2c655e5466" ], "roles": [ "Reader" ] } ] } }